List code projects for an organization
GET/integrations/snyk-sast/orgs/:org_id/code-projects/
Request
Path Parameters
org_id stringrequired
Query Parameters
length integer
Number of results to return per page.
ordering string
Which field to use when ordering the results.
page integer
A page number within the paginated result set.
search string
A search term.
Responses
- 200
- 400
- 401
- 403
- 500
- application/json
- Schema
- Example (from schema)
Schema
Array [
]
count integer
Total number of results.
page_total integer
Total number of pages.
page integer
Number of the current page.
The first page is 1.
Defaults to 1 if no specific page is requested.
length integer
Number of results returned per page.
results
object[]
target_file stringrequired
project_id uuidrequired
project_name stringrequired
target_id uuidrequired
org_id uuidrequired
org_name stringrequired
{
"count": 6,
"page_total": 1,
"page": 1,
"length": 10,
"results": [
{
"target_file": "string",
"project_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"project_name": "string",
"target_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"org_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"org_name": "string"
}
]
}
- application/json
- Schema
- Example (from schema)
Schema
<field name> string[]
non_field_errors string[]
{
"<field name>": [
"Errors related to field <field name>."
],
"non_field_errors": [
"Errors not related to any field specific field."
]
}
- application/json
- Schema
- Example (from schema)
Schema
detail string
{
"detail": "Incorrect authentication credentials."
}
- application/json
- Schema
- Example (from schema)
Schema
detail string
{
"detail": "You do not have permission to perform this action."
}
- application/json
- Schema
- Example (from schema)
Schema
detail string
{
"detail": "Unexpected error while handling your request."
}
Loading...